about summary refs log tree commit diff
path: root/contrib/palaver
diff options
context:
space:
mode:
authorJune McEnroe <june@causal.agency>2020-08-11 14:54:40 -0400
committerJune McEnroe <june@causal.agency>2020-08-11 14:58:57 -0400
commitab9ddde3bf09ab47606cb26060ac124c92ea7515 (patch)
tree0b830029214f5c966a47bdb0bbfa93742492a85a /contrib/palaver
parentImplement stub of palaverapp.com capability (diff)
downloadpounce-ab9ddde3bf09ab47606cb26060ac124c92ea7515.tar.gz
pounce-ab9ddde3bf09ab47606cb26060ac124c92ea7515.zip
contrib/palaver: Add configure script
Diffstat (limited to 'contrib/palaver')
-rw-r--r--contrib/palaver/.gitignore1
-rwxr-xr-xcontrib/palaver/configure49
2 files changed, 50 insertions, 0 deletions
diff --git a/contrib/palaver/.gitignore b/contrib/palaver/.gitignore
new file mode 100644
index 0000000..aee2e4c
--- /dev/null
+++ b/contrib/palaver/.gitignore
@@ -0,0 +1 @@
+config.mk
diff --git a/contrib/palaver/configure b/contrib/palaver/configure
new file mode 100755
index 0000000..9a7e8d8
--- /dev/null
+++ b/contrib/palaver/configure
@@ -0,0 +1,49 @@
+#!/bin/sh
+set -eu
+
+cflags() {
+	echo "CFLAGS += $*"
+}
+ldlibs() {
+	echo "LDLIBS ${o:-}= $*"
+	o=+
+}
+config() {
+	pkg-config --print-errors "$@"
+	cflags $(pkg-config --cflags "$@")
+	ldlibs $(pkg-config --libs "$@")
+}
+defstr() {
+	cflags "-D'$1=\"$2\"'"
+}
+defvar() {
+	defstr "$1" "$(pkg-config --variable=$3 $2)${4:-}"
+}
+
+exec >config.mk
+
+for opt; do
+	case "${opt}" in
+		(--prefix=*) echo "PREFIX = ${opt#*=}" ;;
+		(--mandir=*) echo "MANDIR = ${opt#*=}" ;;
+		(*) echo "warning: unsupported option ${opt}" >&2 ;;
+	esac
+done
+
+case "$(uname)" in
+	(FreeBSD)
+		config libcurl libtls sqlite3
+		echo 'INSTALLS = install-rcs'
+		;;
+	(OpenBSD)
+		ldlibs -ltls
+		config libcurl sqlite3
+		;;
+	(Linux)
+		cflags -D_GNU_SOURCE
+		config libcurl libtls sqlite3
+		;;
+	(*)
+		config libcurl libtls sqlite3
+		;;
+esac
s='logmsg'> 2017-07-23Add nethackrcJune McEnroe 2017-07-23Remove useless setuid in briJune McEnroe Don't you think it would be better if the setuid bit only gave you permission to do it and didn't do it for you? 2017-07-23Clean up hnel a tiny bitJune McEnroe 2017-07-21Set window size in hnelJune McEnroe 2017-07-21Add hnelJune McEnroe 2017-07-19chmod 600 in dtchJune McEnroe